Legacy (v0)
List addresses
Lists the authenticated user’s saved addresses, default first then newest first. Not paginated. Available to any authenticated company member (admin, rep or customer) and operates on the authenticated user’s own saved addresses.
GET
/
api
/
addresses
List addresses
curl --request GET \
--url https://api.fluid.app/api/addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/addresses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 90611,
"name": "Holly Flax",
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"address3": null,
"city": "Scranton",
"state": "PA",
"subdivision_code": "US-PA",
"postal_code": "18505",
"country_code": "US",
"phone": "+15705550199",
"default": true,
"country": {
"id": 233,
"iso_name": "UNITED STATES",
"iso": "US",
"iso3": "USA",
"name": "United States",
"numcode": 840,
"active": true,
"currency_code": "USD",
"currency_symbol": "$",
"separator": ".",
"delimiter": ",",
"address3": false,
"tax_rates": null
}
},
{
"id": 90612,
"name": "Holly Flax",
"address1": "44 Nashua Street",
"address2": null,
"address3": null,
"city": "Nashua",
"state": "NH",
"subdivision_code": "US-NH",
"postal_code": "03060",
"country_code": "US",
"phone": "+16035550123",
"default": false,
"country": {
"id": 233,
"iso_name": "UNITED STATES",
"iso": "US",
"iso3": "USA",
"name": "United States",
"numcode": 840,
"active": true,
"currency_code": "USD",
"currency_symbol": "$",
"separator": ".",
"delimiter": ",",
"address3": false,
"tax_rates": null
}
}
]{
"message": "<string>"
}Response
Success
⌘I
List addresses
curl --request GET \
--url https://api.fluid.app/api/addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/addresses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 90611,
"name": "Holly Flax",
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"address3": null,
"city": "Scranton",
"state": "PA",
"subdivision_code": "US-PA",
"postal_code": "18505",
"country_code": "US",
"phone": "+15705550199",
"default": true,
"country": {
"id": 233,
"iso_name": "UNITED STATES",
"iso": "US",
"iso3": "USA",
"name": "United States",
"numcode": 840,
"active": true,
"currency_code": "USD",
"currency_symbol": "$",
"separator": ".",
"delimiter": ",",
"address3": false,
"tax_rates": null
}
},
{
"id": 90612,
"name": "Holly Flax",
"address1": "44 Nashua Street",
"address2": null,
"address3": null,
"city": "Nashua",
"state": "NH",
"subdivision_code": "US-NH",
"postal_code": "03060",
"country_code": "US",
"phone": "+16035550123",
"default": false,
"country": {
"id": 233,
"iso_name": "UNITED STATES",
"iso": "US",
"iso3": "USA",
"name": "United States",
"numcode": 840,
"active": true,
"currency_code": "USD",
"currency_symbol": "$",
"separator": ".",
"delimiter": ",",
"address3": false,
"tax_rates": null
}
}
]{
"message": "<string>"
}